package com.pcloud.common.core.dto;

import java.io.Serializable;

/**
 * @描述： 标识使用模板消息dto
 * @作者： shuyh
 * @创建时间： 2017年5月23日
 * @版本：1.0
 */
public class LabelUsedMessageDto implements Serializable {
	
    /**
	 * 
	 */
	private static final long serialVersionUID = 9181883143224317183L;

	/**
     * (账户ID)
     */
	private Long partyId;
	
	/**
     * (账户角色)
     */
	private String roleCode;
	
	/**
     * (专业标签ID)
     */
    private Long proLabelId;

    /**
     * (专业标签名称)
     */
    private String proLabelName;

    /**
     * (深度标签ID)
     */
    private Long depLabelId;

    /**
     * (深度标签名称)
     */
    private String depLabelName;

    /**
     * (目的标签ID)
     */
    private Long purLabelId;

    /**
     * (目的标签名称)
     */
    private String purLabelName;
    
    public LabelUsedMessageDto() {
		super();
    }

	public LabelUsedMessageDto(Long partyId, Long proLabelId, Long depLabelId,
			Long purLabelId) {
		super();
		this.partyId = partyId;
		this.proLabelId = proLabelId;
		this.depLabelId = depLabelId;
		this.purLabelId = purLabelId;
	}

	public LabelUsedMessageDto(Long partyId, String roleCode, Long proLabelId,
			Long depLabelId, Long purLabelId) {
		super();
		this.partyId = partyId;
		this.roleCode = roleCode;
		this.proLabelId = proLabelId;
		this.depLabelId = depLabelId;
		this.purLabelId = purLabelId;
	}

	public Long getPartyId() {
		return partyId;
	}

	public void setPartyId(Long partyId) {
		this.partyId = partyId;
	}

	public String getRoleCode() {
		return roleCode;
	}

	public void setRoleCode(String roleCode) {
		this.roleCode = roleCode;
	}

	public Long getProLabelId() {
		return proLabelId;
	}

	public void setProLabelId(Long proLabelId) {
		this.proLabelId = proLabelId;
	}

	public String getProLabelName() {
		return proLabelName;
	}

	public void setProLabelName(String proLabelName) {
		this.proLabelName = proLabelName;
	}

	public Long getDepLabelId() {
		return depLabelId;
	}

	public void setDepLabelId(Long depLabelId) {
		this.depLabelId = depLabelId;
	}

	public String getDepLabelName() {
		return depLabelName;
	}

	public void setDepLabelName(String depLabelName) {
		this.depLabelName = depLabelName;
	}

	public Long getPurLabelId() {
		return purLabelId;
	}

	public void setPurLabelId(Long purLabelId) {
		this.purLabelId = purLabelId;
	}

	public String getPurLabelName() {
		return purLabelName;
	}

	public void setPurLabelName(String purLabelName) {
		this.purLabelName = purLabelName;
	}

	@Override
	public String toString() {
		return "LabelMessageDto [partyId=" + partyId + ", roleCode=" + roleCode
				+ ", proLabelId=" + proLabelId + ", proLabelName="
				+ proLabelName + ", depLabelId=" + depLabelId
				+ ", depLabelName=" + depLabelName + ", purLabelId="
				+ purLabelId + ", purLabelName=" + purLabelName + "]";
	}
	
}
